﻿/* Стили для разделительной линии */
/*.settings-divider {
    height: 2px;
    background: linear-gradient(90deg, transparent 0%, #ddd 20%, #ddd 80%, transparent 100%);
    margin: 30px 0;
    border: none;
}*/

/* Стили для строк настроек */
.settings_row {
    display: flex;
    align-items: center;
    justify-content: left;
    padding-top: 0.5vh;
    padding-bottom: 0.5vh;
}

.settings_row_left {
    width: var(--width-row-left);
    text-align: left;
    padding-left: 1vw;
}
    .settings_row_left > button {
        width: clamp(180px, 10vw, 200px);
        /*        margin-right: 1vw;*/
    }

.settings_row_center {
    width: var(--width-row-center);
    text-align: left;
    height: 100%;
}
    .settings_row_center > * {
        width: 80%;
    }
    .settings_row_center > input {
        width: 80%;
        border: none;
        border-bottom: 1px solid #000000;
        outline: none;
    }
    .settings_row_center > select {
        width: 80%;
        border: none;
        border-bottom: 1px solid #000000;
        outline: none;
    }
.settings_row_right {
    width: calc(var(--width-right) - var(--width-row-center) - var(--width-row-left) - 2vw);
    text-align: right;
    display: flex;
    justify-content: right;
    align-content: center;
    margin-right: 1vw;
}
    .settings_row_right > button {
        width: clamp(80px, 5vw, 100px);
/*        margin-right: 1vw;*/
    }

.settings_row_left label {
    display: block;
    line-height: 1;
    margin: 0;
}

    


/* Стили для чекбоксов */
.settings_row_center > .checkbox-input {
    width: 15px;
    height: 15px;
    cursor: pointer;
    accent-color: #007bff;
}


